Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Codeset_Registry::registry_entry Struct Reference

`#include <Codeset_Registry.h>`

List of all members.

## Public Attributes
const char * | desc_
const char * | loc_name_
ACE_CDR::ULong | codeset_id_
ACE_CDR::UShort | num_sets_
ACE_CDR::UShort | char_sets_ [max_charsets_]
ACE_CDR::UShort | max_bytes_

## Member Data Documentation

ACE_CDR::UShort ACE_Codeset_Registry::registry_entry::char_sets_[max_charsets_]

ACE_CDR::ULong ACE_Codeset_Registry::registry_entry::codeset_id_

const char* ACE_Codeset_Registry::registry_entry::desc_

const char* ACE_Codeset_Registry::registry_entry::loc_name_

ACE_CDR::UShort ACE_Codeset_Registry::registry_entry::max_bytes_

ACE_CDR::UShort ACE_Codeset_Registry::registry_entry::num_sets_

The documentation for this struct was generated from the following file:

- Codeset_Registry.h